Description

Several plugins do not load in QGIS, e.g. QuickWKT and Spatial Query.

When selected from the menu or toolbar buttons nothing happens. Others reporting this on QGIS.se indicate that it is happening on OSX

10.6, but working fine on Windows.

This happens in QGIS 1.9 as well.

Loading the Guest user and running QGIS (with no plugins, effectively a clean install) doesn't help.

Associated revisions

Revision c64f5cd8 - 2012-06-16 12:03 PM - Jürgen Fischer

fix #5543

History

#1 - 2012-05-06 05:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

the plugins are 3rd party or core? If are 3rd party then you have to report the issues to the authors and/or to the proper project in this tracker

https://issues.qgis.org/projects

#2 - 2012-05-06 05:37 AM - Howard Frederick

Spatial Query comes with QGIS 1.7 (see note on clean install) and does not show up in the list on plugins.qgis.org - I assume that means it's core? Can't

find a list of 'core' plugins to be sure! QuickWKT is a 3rd party extension, but same behaviour (and there are others).

Should I post this elsewhere?

#3 - 2012-05-06 05:39 AM - Nathan Woodrow

Yeah SpatialQuery is core.
http://gis.stackexchange.com/questions/24848/spatial-query-plugin-broken-in-macos-version
https://issues.qgis.org/projects


#4 - 2012-05-06 08:31 AM - Larry Shaffer

It looks like another plugin that connects the activated() signal to its launching gui elements.

https://github.com/qgis/Quantum-GIS/blob/master/src/plugins/spatialquery/qgsspatialqueryplugin.cpp#L82

That signal is no longer supported under Qt 4.8, which is what QGIS 1.7.4 is built against/bundled with on Mac OS X. I have seen this problem with other

plugins (now both C++ and Python).

http://qt-project.org/doc/qt-4.8/qaction.html#signals

I have not tested this, but changing the signal to 'triggered()' might fix the problem.

#5 - 2012-05-14 11:27 AM - Larry Shaffer

More discussion on this issue:

http://osgeo-org.1560.n6.nabble.com/OSGEO4W-vs-Mac-OS-X-Qt-version-or-34-plugins-slightly-broken-tp4963580.html

Appears to be fixed with newer master (1.8 RC) builds. Not sure what changed between 1.7.4-4 and now. Essentially, the current Mac releases (1.7.4-4

and 1.9 dev-2012/3/11) have no support for Qt3 deprecated code, while other builds have some Qt3 support in the core Qt frameworks supplied by Nokia,

because they were compiled with the -qt3support option. I think this allows plugins with deprecated Qt3 code to still work, even if the

Qt3Support.framework is not bundled in the Mac app.

All platforms that rely upon the default Qt install from Nokia will have some Qt3 support, allowing the plugins to launch, until Nokia pulls that support from

their releases.

#6 - 2012-06-16 03:03 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"c64f5cd89199921add503ec995754dc32bd27cf2".
